Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Boolean

    java.lang.Object
      |
      +--java.lang.Boolean

All Implemented Interfaces:
  Serializable

public final class Boolean
extends Object
implements Serializable

The Boolean class wraps a value of the primitive type `boolean` in an object. An object of type `Boolean` contains a single field whose type is `boolean`.

In addition, this class provides many methods for converting a `boolean` to a `String` and a `String` to a `boolean`, as well as other constants and methods useful when dealing with a `boolean`.

Since:
  JDK1.0
See Also:
  Serialized Form

Field Summary
`static Boolean` | `FALSE` The `Boolean` object corresponding to the primitive value `false`.
`static Boolean` | `TRUE` The `Boolean` object corresponding to the primitive value `true`.
`static Class` | `TYPE` The Class object representing the primitive type boolean.

Constructor Summary
`Boolean(boolean value)` Allocates a `Boolean` object representing the `value` argument.
`Boolean(String s)` Allocates a `Boolean` object representing the value `true` if the string argument is not `null` and is equal, ignoring case, to the string `"true"`.

Method Summary
`boolean` | `booleanValue()` Returns the value of this `Boolean` object as a boolean primitive.
`boolean` | `equals(Object obj)` Returns `true` if and only if the argument is not `null` and is a `Boolean` object that represents the same `boolean` value as this object.
`static boolean` | `getBoolean(String name)` Returns `true` if and only if the system property named by the argument exists and is equal to the string `"true"`.
`int` | `hashCode()` Returns a hash code for this `Boolean` object.
`String` | `toString()` Returns a `String` object representing this Boolean's value.
`static String` | `toString(boolean b)` Returns a `String` object representing the specified boolean.
`static Boolean` | `valueOf(boolean b)` Returns a `Boolean` instance representing the specified `boolean` value.
`static Boolean` | `valueOf(String s)` Returns a `Boolean` with a value represented by the specified String.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TRUE

    public static final Boolean TRUE

  The `Boolean` object corresponding to the primitive value `true`.

### FALSE

    public static final Boolean FALSE

  The `Boolean` object corresponding to the primitive value `false`.

### TYPE

    public static final Class TYPE

  The Class object representing the primitive type boolean.

  Since:
    JDK1.1

Constructor Detail

### Boolean

    public Boolean(boolean value)

  Allocates a `Boolean` object representing the `value` argument.

  Note: It is rarely appropriate to use this constructor. Unless a new instance is required, the static factory `valueOf(boolean)` is generally a better choice. It is likely to yield significantly better space and time performance.

Parameters:
  `value` - the value of the `Boolean`.

### Boolean

    public Boolean(String s)

  Allocates a `Boolean` object representing the value `true` if the string argument is not `null` and is equal, ignoring case, to the string `"true"`. Otherwise, allocate a `Boolean` object representing the value `false`. Examples:

  `new Boolean("True")` produces a `Boolean` object that represents `true`.
  `new Boolean("yes")` produces a `Boolean` object that represents `false`.

Parameters:
  `s` - the string to be converted to a `Boolean`.

Method Detail

### booleanValue

    public boolean booleanValue()

  Returns the value of this `Boolean` object as a boolean primitive.

  Returns:
    the primitive `boolean` value of this object.

### valueOf

    public static Boolean valueOf(boolean b)

  Returns a `Boolean` instance representing the specified `boolean` value. If the specified `boolean` value is `true`, this method returns `Boolean.TRUE`; if it is `false`, this method returns `Boolean.FALSE`. If a new `Boolean` instance is not required, this method should generally be used in preference to the constructor `Boolean(boolean)`, as this method is likely to to yield significantly better space and time performance.

  Parameters:
    `b` - a boolean value.
  Returns:
    a `Boolean` instance representing `b`.
  Since:
    1.4

### valueOf

    public static Boolean valueOf(String s)

  Returns a `Boolean` with a value represented by the specified String. The `Boolean` returned represents the value `true` if the string argument is not `null` and is equal, ignoring case, to the string `"true"`.

  Example: `Boolean.valueOf("True")` returns `true`.
  Example: `Boolean.valueOf("yes")` returns `false`.

  Parameters:
    `s` - a string.
  Returns:
    the `Boolean` value represented by the string.

### toString

    public static String toString(boolean b)

  Returns a `String` object representing the specified boolean. If the specified boolean is `true`, then the string `"true"` will be returned, otherwise the string `"false"` will be returned.

  Parameters:
    `b` - the boolean to be converted
  Returns:
    the string representation of the specified `boolean`
  Since:
    1.4

### toString

    public String toString()

  Returns a `String` object representing this Boolean's value. If this object represents the value `true`, a string equal to `"true"` is returned. Otherwise, a string equal to `"false"` is returned.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this object.

### hashCode

    public int hashCode()

  Returns a hash code for this `Boolean` object.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the integer `1231` if this object represents `true`; returns the integer `1237` if this object represents `false`.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object obj)

  Returns `true` if and only if the argument is not `null` and is a `Boolean` object that represents the same `boolean` value as this object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare with.
  Returns:
    `true` if the Boolean objects represent the same value; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### getBoolean

    public static boolean getBoolean(String name)

  Returns `true` if and only if the system property named by the argument exists and is equal to the string `"true"`. (Beginning with version 1.0.2 of the JavaTM platform, the test of this string is case insensitive.) A system property is accessible through `getProperty`, a method defined by the `System` class.

  If there is no property with the specified name, or if the specified name is empty or null, then `false` is returned.

  Parameters:
    `name` - the system property name.
  Returns:
    the `boolean` value of the system property.
  See Also:
    `System.getProperty(java.lang.String)`, `System.getProperty(java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.